## ros-melodic-prbt-gazebo 0.5.21

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(prbt_gazebo)

add_definitions(-std=c++11)

find_package(catkin REQUIRED COMPONENTS actionlib roscpp trajectory_msgs)

catkin_package()

################
## Clang tidy ##
################
if(CATKIN_ENABLE_CLANG_TIDY)
  find_program(
    CLANG_TIDY_EXE
    NAMES "clang-tidy"
    DOC "Path to clang-tidy executable"
    )
  if(NOT CLANG_TIDY_EXE)
    message(FATAL_ERROR "clang-tidy not found.")
  else()
    message(STATUS "clang-tidy found: ${CLANG_TIDY_EXE}")
    set(CMAKE_CXX_CLANG_TIDY "${CLANG_TIDY_EXE}")
  endif()
endif()

#############
## Install ##
#############

## Install launch and config files
install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)

  find_package(rostest REQUIRED)

  include_directories(${catkin_INCLUDE_DIRS})

  add_rostest_gtest(integrationtest_gazebo_bringup
                    test/integrationtest_gazebo_bringup.test
                    test/integrationtest_gazebo_bringup.cpp)
  target_link_libraries(integrationtest_gazebo_bringup ${catkin_LIBRARIES})

endif()

=== debian/changelog ===
ros-melodic-prbt-gazebo (0.5.21-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 22 Nov 2020 23:00:00 -0000

ros-melodic-prbt-gazebo (0.5.20-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 16 Nov 2020 23:00:00 -0000

ros-melodic-prbt-gazebo (0.5.19-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Sep 2020 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.18-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 01 Jul 2020 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.17-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 21 Jun 2020 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.16-1stretch) stretch; urgency=high

  * Update and apply clang-format (#387)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 14 May 2020 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.15-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 02 May 2020 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.14-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 10 Mar 2020 23:00:00 -0000

ros-melodic-prbt-gazebo (0.5.13-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-melodic-prbt-gazebo (0.5.12-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 27 Nov 2019 23:00:00 -0000

ros-melodic-prbt-gazebo (0.5.11-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 21 Nov 2019 23:00:00 -0000

ros-melodic-prbt-gazebo (0.5.10-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 07 Oct 2019 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.9-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Oct 2019 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.8-1stretch) stretch; urgency=high

  * integrate clang-tidy via CMake flag
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2019 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.7-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 28 Aug 2019 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.6-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.5-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.4-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 26 May 2019 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.3-1stretch) stretch; urgency=high

  * Remove rosparam block no longer needed
  * Add world_name argument to gazebo launch file.
  * Install launch and config folder of prbt_gazebo
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 23 Apr 2019 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.2-1stretch) stretch; urgency=high

  * With this change the integrationtest loads the blank.world which
    has no models.
  * Install launch and config files
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 20 Feb 2019 23:00:00 -0000

ros-melodic-prbt-gazebo (0.4.6-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 17 Jan 2019 23:00:00 -0000

ros-melodic-prbt-gazebo (0.4.5-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 15 Jan 2019 23:00:00 -0000

ros-melodic-prbt-gazebo (0.4.4-1stretch) stretch; urgency=high

  * Provide prbt_gazebo package
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 15 Jan 2019 23:00:00 -0000

## ros-melodic-prbt-gazebo 0.5.23

=== debian/changelog ===
ros-melodic-prbt-gazebo (0.5.23-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 20 Jul 2021 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.22-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 11 Jul 2021 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.21-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 22 Nov 2020 23:00:00 -0000

ros-melodic-prbt-gazebo (0.5.20-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 16 Nov 2020 23:00:00 -0000

ros-melodic-prbt-gazebo (0.5.19-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Sep 2020 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.18-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 01 Jul 2020 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.17-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 21 Jun 2020 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.16-1bionic) bionic; urgency=high

  * Update and apply clang-format (#387)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 14 May 2020 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.15-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 02 May 2020 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.14-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 10 Mar 2020 23:00:00 -0000

ros-melodic-prbt-gazebo (0.5.13-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-melodic-prbt-gazebo (0.5.12-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 27 Nov 2019 23:00:00 -0000

ros-melodic-prbt-gazebo (0.5.11-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 21 Nov 2019 23:00:00 -0000

ros-melodic-prbt-gazebo (0.5.10-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 07 Oct 2019 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.9-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Oct 2019 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.8-1bionic) bionic; urgency=high

  * integrate clang-tidy via CMake flag
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2019 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.7-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 28 Aug 2019 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.6-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.5-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.4-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 26 May 2019 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.3-1bionic) bionic; urgency=high

  * Remove rosparam block no longer needed
  * Add world_name argument to gazebo launch file.
  * Install launch and config folder of prbt_gazebo
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 23 Apr 2019 22:00:00 -0000

ros-melodic-prbt-gazebo (0.5.2-1bionic) bionic; urgency=high

  * With this change the integrationtest loads the blank.world which
    has no models.
  * Install launch and config files
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 20 Feb 2019 23:00:00 -0000

ros-melodic-prbt-gazebo (0.4.6-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 17 Jan 2019 23:00:00 -0000

ros-melodic-prbt-gazebo (0.4.5-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 15 Jan 2019 23:00:00 -0000

ros-melodic-prbt-gazebo (0.4.4-1bionic) bionic; urgency=high

  * Provide prbt_gazebo package
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 15 Jan 2019 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-prbt-gazebo
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-catkin, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-trajectory-msgs
Homepage: https://wiki.ros.org/prbt_gazebo
Standards-Version: 3.9.2

Package: ros-melodic-prbt-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-gazebo-ros, ros-melodic-gazebo-ros-control, ros-melodic-prbt-moveit-config, ros-melodic-prbt-support, ros-melodic-roslaunch, ros-melodic-xacro
Description: Launch prbt robot in an empty Gazebo world.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-prbt-gazebo//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
